Bug Hunting Session
Bug 126931 - Wrong date formats for Upper Sorbian and Lower Sorbian
Summary: Wrong date formats for Upper Sorbian and Lower Sorbian
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:6.4.0 target:6.3.1
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-14 20:56 UTC by milupo
Modified: 2019-08-27 12:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Upper Soriban date format selection dialog (19.42 KB, image/png)
2019-08-14 20:56 UTC, milupo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description milupo 2019-08-14 20:56:14 UTC
Created attachment 153394 [details]
Upper Soriban date format selection dialog

Hi,

I tested the feature "Insert Field" adding a date field. Unfortunately, I detected that there are wrong date formats for Upper Sorbian (hsb) and Lower Sorbian (dsb). In the Upper Sorbian date format samples even the wrong separator between day and month is used in different formats, a comma instead of a point.

Sorbian date formats are similar to the German ones with one exception: the full date format. In Sorbian full date format the month is always in genitive, similar to the full date format in Czech, Polish, or Slovak. Unlike German, the month name is always in lower case.

The genitive month names are:

januara, feburara, měrca, apryla, meje (Upper Sorbian), maja (Lower Sorbian), junija, julija, awgusta, septembra, oktobra, nowembra, decembra

The nominative forms are:

januar, feburar, měrc, apryl, meja (Upper Sorbian), maj (Lower Sorbian), junij, julij, awgust, september, oktober, nowember, december

Example: 14. awgusta 2019 (not 14. awgust!)

Please fix the date formats.

Please find attached a screenshot of the date format selection dialog.
Comment 1 Eike Rathke 2019-08-14 21:38:38 UTC
The abbreviated genitive month names are identical to the abbreviated nominative month names?
Comment 2 milupo 2019-08-14 22:09:32 UTC
Hi Eike, yes, they are identical. Within the first three letters, abbreviated names are triliteral only, is no difference.

jan, feb, měr, apr, mej (Upper Sorbian), maj (Lower Sorbian), jun, jul, awg, sep, okt, now, dec

There is only syncope of e in the month names of september, oktober, nowember, december before the genitive ending --> septembra, oktobra, nowembra, decembra, But this doesn't play a part for the abbreviated names.
Comment 3 Commit Notification 2019-08-15 00:04:38 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d3a565eddffc6e39ffd47f018ec7ab17d2a554cd%5E%21

Resolves: tdf#126931 fix Sorbian date formats and add genitive month names

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Eike Rathke 2019-08-15 00:05:11 UTC
Pending review https://gerrit.libreoffice.org/77481 for 6-3
Comment 5 Commit Notification 2019-08-15 01:14:34 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/4ceff7f5d65673e57de5878ad5b1ffc470df3483%5E%21

Resolves: tdf#126931 fix Sorbian date formats and add genitive month names

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 milupo 2019-08-15 07:39:20 UTC
Hi Eike,

thank you for creating the patches. They look fine but you used the Upper Sorbian full name "meja" for "May" as abbreviated name. Since all abbreviated names should be triliteral, you should change meja to "mej".

Thanks in advance.
Comment 7 Eike Rathke 2019-08-15 10:36:08 UTC
That was always there already for the nominative names, but I can change. Similar for March "měrc".
Comment 8 milupo 2019-08-15 10:51:36 UTC
Thanks.
Comment 9 Commit Notification 2019-08-15 12:26:48 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/add2f2e9185a759847f3ccabc2d0cb04306eca85%5E%21

Related: tdf#126931 abbreviated month names should be three letters

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Eike Rathke 2019-08-15 12:27:05 UTC
Pending review https://gerrit.libreoffice.org/77513 for 6-3
Comment 11 Commit Notification 2019-08-15 15:48:37 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/3104eaa53593fd512d750ebbbd48314576c5c064%5E%21

Related: tdf#126931 abbreviated month names should be three letters

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 milupo 2019-08-15 16:12:46 UTC
Thank you, Eike, for this patch as well.
Comment 13 milupo 2019-08-27 12:39:58 UTC
Hi,

I've just installed LO 6.3.1.1 and saw that the correct date formats are used for Upper Sorbian and Lower Sorbian there now.

Thank you very much to all who helped to fix this bug. I consider this bug fixed.